Name:		nsca
Version:	2.9.2
Release:	%mkrel 5
Summary:	NSCA daemon for Nagios
License:	GPLv2
Group:		System/Servers
URL:		https://sourceforge.net/projects/nagios/
Source0:	https://prdownloads.sourceforge.net/nagios/%{name}-%{version}.tar.gz
Source1:	nsca.service
Source2:	nsca.tmpfiles
Patch0:		nsca-mdv_conf.diff
BuildRequires:	tcp_wrappers-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool-devel
Requires:	tcp_wrappers
Requires:	nagios
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
The NSCA addon is designed to accept passive host and service check results
from clients that use the send_nsca utility (included in client subpackage) and
pass them along to the Nagios process by using the external command interface.

%package -n	send_nsca
Summary:	NSCA client
Group:		System/Servers

%description -n	send_nsca
NSCA client - is used to send service check information from a remote machine
to the NSCA daemon on the central machine that runs Nagios.

%prep
%setup -q
%patch0 -p0

%build
%configure \
    --with-nsca-port=5667 \
    --with-nsca-user=nagios \
    --with-nsca-grp=nagios \
    --localstatedir=/var/spool/nagios \
    --sysconfdir=%{_sysconfdir}/nagios

%make_build

%install
install -d -m 755 %{buildroot}%{_sbindir}
install -m 755 src/nsca %{buildroot}%{_sbindir}
install -m 755 src/send_nsca %{buildroot}%{_sbindir}

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios
install -m 644 sample-config/nsca.cfg %{buildroot}%{_sysconfdir}/nagios
install -m 644 sample-config/send_nsca.cfg %{buildroot}%{_sysconfdir}/nagios

install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/nsca.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_prefix}/lib/tmpfiles.d/nsca.conf

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc Changelog LEGAL README SECURITY
%config(noreplace) %{_sysconfdir}/nagios/nsca.cfg
%{_unitdir}/nsca.service
%{_prefix}/lib/tmpfiles.d/nsca.conf
%{_sbindir}/nsca

%files -n send_nsca
%doc Changelog LEGAL README SECURITY
%config(noreplace) %{_sysconfdir}/nagios/send_nsca.cfg
%{_sbindir}/send_nsca


%changelog
* Sun Nov 01 2020 joequant <joequant> 2.9.2-5.mga8
+ Revision: 1641164
- fix nsca
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 2.9.2-4.mga8
+ Revision: 1515562
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.9.2-3.mga7
+ Revision: 1299798
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 2.9.2-2.mga7
+ Revision: 1236195
- fix build on aarch64

* Sun Oct 08 2017 daviddavid <daviddavid> 2.9.2-1.mga7
+ Revision: 1170207
- new version: 2.9.2

* Fri Feb 05 2016 umeabot <umeabot> 2.9.1-8.mga6
+ Revision: 938274
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.1-7.mga5
+ Revision: 745981
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.1-6.mga5
+ Revision: 682934
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.9.1-5.mga4
+ Revision: 508337
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 guillomovitch <guillomovitch> 2.9.1-3.mga3
+ Revision: 288803
- minor systemd service fixes

* Tue Sep 04 2012 guillomovitch <guillomovitch> 2.9.1-2.mga3
+ Revision: 287984
- /run tmpfs support
- systemd service: no need to restart service

* Wed Aug 22 2012 guillomovitch <guillomovitch> 2.9.1-1.mga3
+ Revision: 283053
- new version

* Tue Jul 17 2012 nanardon <nanardon> 2.7.2-8.mga3
+ Revision: 271766
- switch to systemd

* Tue Jul 17 2012 nanardon <nanardon> 2.7.2-7.mga3
+ Revision: 271750
- correction initscript
- imported package nsca

